DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Shift

an image manipulation function

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_Shift ( in, out, shift, killNy )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function shifts an image in the Fourier Domain. All frequiencies larger than the Nyquist frequency are set to zero if `killNy` is true. It performs:

    out = Real(InverseFourierTransform(GeneratePhase(shift) * FourierTransform( in ))

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_FloatArray` | `shift` | Shift array
`dip_Boolean` | `killNy` | set frequencies > Nyquist to zero?

## SEE ALSO

`Crop`, `Wrap`, `FourierTransform`, `Real`